Get charts by deployment. Currently unavailable in self-hosted ECE.
https://api.elastic-cloud.com/api/v1
- GET /billing/costs/{organization_id}/deployments/{deployment_id}/charts
Retrieves the usage charts for the given deployment.
Path Parameters
-
organization_idstringrequired -
Identifier for the organization
-
deployment_idstringrequired -
Id of a Deployment
Query Parameters
-
fromstring A datetime for the beginning of the desired range for which to fetch costs. Defaults to start of current month.
-
tostring A datetime for the end of the desired range for which to fetch costs. Defaults to the current date.
-
bucketing_strategy· default: daily The desired bucketing strategy for the charts. Defaults to
daily.-
Values:
dailymonthly
Responses
The usage charts of a deployment.
-
dataChartItemrequired -
The list of chart item
The specified date range is invalid. (code: costs.invalid_date_range)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
The current user does not have access to the requested organization. (code: organization.invalid_access)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
Organization not found. (code: organization.not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
Too many requests. (code: billing_service.rate_limited)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
Error fetching the itemized costs for the organization. (code: billing_service.failed_request)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response